jenkins fails to start in Quantal: java.lang.UnsupportedClassVersionError: javax/jmdns/JmDNS : Unsupported major.minor version 51.0

Bug #1007914 reported by Jean-Baptiste Lallement on 2012-06-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
jenkins (Ubuntu)
High
James Page
jmdns (Ubuntu)
High
James Page

Bug Description

Fresh installation of jenkins on Quantal, first access from a browser returns the following error:
"""
Exception in thread "hudson initialization thread" java.lang.UnsupportedClassVersionError: javax/jmdns/JmDNS : Unsupported major.minor version 51.0
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
 at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
 at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
 at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
 at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
 at hudson.DNSMultiCast.<init>(DNSMultiCast.java:26)
 at jenkins.model.Jenkins.<init>(Jenkins.java:757)
 at hudson.model.Hudson.<init>(Hudson.java:81)
 at hudson.model.Hudson.<init>(Hudson.java:77)
 at hudson.WebAppMain$2.run(WebAppMain.java:217)
"""

Log file attached

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: jenkins 1.447.1+dfsg-1
ProcVersionSignature: Ubuntu 3.4.0-3.8-generic 3.4.0
Uname: Linux 3.4.0-3-generic x86_64
ApportVersion: 2.1.1-0ubuntu2
Architecture: amd64
Date: Sat Jun 2 20:53:19 2012
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: jenkins
UpgradeStatus: Upgraded to quantal on 2012-01-31 (122 days ago)

Jean-Baptiste Lallement (jibel) wrote :
James Page (james-page) wrote :

Jean-Baptiste

Please could you confirm which version of java is being used by running 'java -version'

Cheers

James

Changed in jenkins (Ubuntu):
assignee: nobody → James Page (james-page)
importance: Undecided → High
tags: added: java7
Changed in jmdns (Ubuntu):
importance: Undecided → High
assignee: nobody → James Page (james-page)
James Page (james-page) wrote :

Raised task for jmdns as this currently is not compiling with the correct target version for Java bytecode

Jean-Baptiste Lallement (jibel) wrote :

It was
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.1) (6b24-1.11.1-4ubuntu3)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)

I removed openjdk6 from the machine, leaving only 7 and it works.

James Page (james-page) on 2012-06-07
Changed in jmdns (Ubuntu):
status: New → Confirmed
Changed in jenkins (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jmdns - 3.4.1-1ubuntu1

---------------
jmdns (3.4.1-1ubuntu1) quantal; urgency=low

  * Ensure library is compatible with openjdk-6 (LP: #1007914):
    - d/rules: Override jh_build to explicitly set source/target == 1.5.
 -- James Page <email address hidden> Thu, 07 Jun 2012 09:58:31 +0100

Changed in jmdns (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jenkins - 1.447.1+dfsg-1build1

---------------
jenkins (1.447.1+dfsg-1build1) quantal; urgency=low

  * No-change rebuild to pickup Java 6 compatible version of jmdns
    (LP: #1007914).
 -- James Page <email address hidden> Thu, 07 Jun 2012 09:48:34 +0100

Changed in jenkins (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers